setActiveWindow() et ge stion des débordements
12/01/2008 02:55 PM - Etienne Decenciére

Status: Nouveau Start date:

Priority: Bas Due date:

Assignee: % Done: 0%
Category: old plone Bugs Estimated time: 0.00 hour
Target version:

Description

Description:

Les débordements des fenétres actives ne sont pas gérés de la méme fagon en
fonction du bord concerné. En 2D, avec les conventions usuelles, si la fenétre
déborde a gauche ou en haut, elle est déplacée de fagon a ce qu'elle rentre dans
I'image. Si elle déborde a droite ou en bas, elle est coupée.

Ce comportement, hérité de Xlim3D, garantit que la fenétre active obtenue n'est
jamais vide.

Personnellement, je préférerais un mécanisme qui gére de la méme fagon les
différents bords. Je propose de toujous prendre l'intersection entre la fenétre
active demandée et I'image (c'est a dire, toujours couper la fenétre active).
Dans ce cas, un probléme se pose lorsque l'intersection est vide. On pourrait
alors:

1) Ne rien faire (garder la fenétre active précédente?) et rendre un RES en
conséquence;

2) avoir une fenétre active vide ? Plus rigueureux, mais source potentielle de
problémes pour les utilisateurs... (et je ne sais pas si cette éventualité

bizarre a été prévue par les autres fonctions, et en particulier par les

itérateurs).

#1 23/11/2007 11:25 (etienne)

Change: status: "pending" -> "accepted"”

Change: assignees: "[]" -> "['morphmdeV', 'raffi', Thomas', 'Tibs']"

Change: topic: " -> "UI"

Change: importance: "medium" -> "low"

Change: title: " -> "setActiveWindow() et gestion des débordements”

Change: classification: "Bug" -> "Feature”

Change: description: "" -> "Les débordements des fenétres actives ne sont pas gérés de la méme fagon en fonction du bord
concerné. En 2D, avec les conventions usuelles, si la fenétre déborde a gauche ou en haut, elle est déplacée de fagon a ce qu'elle
rentre dans l'image. Si elle déborde a droite ou en bas, elle est coupée.

Ce comportement, hérité de Xlim3D, garantit que la fenétre active obtenue n'est jamais vide.

Personnellement, je préférerais un mécanisme qui gére de la méme fagon les différents bords. Je propose de toujous prendre
l'intersection entre la fenétre active demandée et I'image (c'est a dire, toujours couper la fenétre active).

Dans ce cas, un probléme se pose lorsque l'intersection est vide. On pourrait alors:
1) Ne rien faire (garder la fenétre active précédente?) et rendre un RES en conséquence;

2) avoir une fenétre active vide ? Plus rigueureux, mais source potentielle de problémes pour les utilisateurs... (et je ne sais pas si
cette éventualité bizarre a été prévue par les autres fonctions, et en particulier par les itérateurs).

History

#1 - 12/01/2008 02:58 PM - Serge Koudoro

A priori, pour que la fenétre active déborde en haut ou a gauche il faut
lui donner des coordonnées négatives pour son point de départ non ? Cela
dit je suis d'accord que faire "glisser" la fenétre dans ce cas la est
plutét un mauvais comportement.

Thibauld
#2 - 12/01/2008 03:00 PM - Etienne Decenciére
Le 23/11/07 , Thibauld Nion a écrit :

A priori, pour que la fenétre active déborde en haut ou a gauche il faut lui
donner des coordonnées négatives pour son point de départ non ?

Oui. A quoi ¢a sert? A simplifier I'écriture de certains algorithmes a
base de fenétres glissantes. On délégue alors la gestion des bords a
setActiveWindow().

Aprés, je congois parfaitement qu'on considere que ce n'est pas a cette
fonction de faire ce travail. Dans ce cas, une solution encore plus simple
serait d'interdire les valeurs négatives.

Etienne

Etienne DECENCIERE

Centre de Morphologie Mathematique
Ecole des Mines de Paris / ARMINES
http://cmm.ensmp.fr/~decencie

#3 - 12/01/2008 03:02 PM - Serge Koudoro
- Category set to old plone Bugs

- Priority changed from Normal to Bas

#4 - 12/01/2008 03:03 PM - Serge Koudoro

- Tracker changed from Anomalie to Evolution
